# Generated by Django 2.2.20 on 2021-05-25 09:29

from django.db import migrations, models
from geonode.base import enumerations


def update_state_value(apps, schema_editor):
    """Let's update the existing resources to the 'PROCESSED' state
    otherwise those will be set to 'dirty' later on and hidden by the APIs.
    """
    MyModel = apps.get_model('base', 'ResourceBase')
    MyModel.objects.filter().update(state=enumerations.STATE_PROCESSED)


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0059_fill_empty_resource_type'),
    ]

    operations = [
        migrations.AddField(
            model_name='resourcebase',
            name='state',
            field=models.CharField(choices=[('READY', 'READY'), ('RUNNING', 'RUNNING'), ('PENDING', 'PENDING'), ('WAITING', 'WAITING'), ('INCOMPLETE', 'INCOMPLETE'), ('COMPLETE', 'COMPLETE'), ('INVALID', 'INVALID'), ('PROCESSED', 'PROCESSED')], default='READY', help_text='Hold the resource processing state.', max_length=16, verbose_name='State'),
        ),
        migrations.RunPython(update_state_value, migrations.RunPython.noop)
    ]
