# Generated by Django 3.2 on 2021-05-27 15:20

from django.db import migrations, models
from geonode.base.models import ResourceBaseManager


def copy_uploaded_files(apps, _):
    Upload = apps.get_model('upload', 'Upload')
    UploadFile = apps.get_model('upload', 'UploadFile')
    for _upload in Upload.objects.all():
        files_to_copy = []
        for _uploaded_file in UploadFile.objects.filter(upload=_upload):
            files_to_copy.append(_uploaded_file.file.path)
        if _upload.layer is not None:
            ResourceBaseManager.upload_files(
                resource_id=_upload.layer.resourcebase_ptr_id, files=files_to_copy, force=True)


class Migration(migrations.Migration):

    dependencies = [
        ('upload', '0031_upload_resume_url'),
    ]

    operations = [
        migrations.RunPython(copy_uploaded_files, migrations.RunPython.noop),
        migrations.RemoveField(
            model_name='uploadfile',
            name='base',
        ),
        migrations.AlterField(
            model_name='uploadfile',
            name='file',
            field=models.CharField(blank=True, max_length=4096),
        ),
    ]
